package org.zheng.demo.data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.google.gson.annotations.Expose;

public class Customer implements Serializable {

	private static final long serialVersionUID = 5963349342478710542L;

	private String custTag;

	@Expose
	private String email;

	@Expose
	private int id;

	@Expose
	private String name;

	private List<Order> orders;

	public Customer() {
		super();
	}

	public Customer(String name, int id) {
		super();
		this.id = id;
		this.name = name;
	}

	public void addOrder(Order order) {
		if (orders == null) {
			orders = new ArrayList<>();
		}
		orders.add(order);
	}

	public String getCustTag() {
		return custTag;
	}

	public String getEmail() {
		return email;
	}

	public int getId() {
		return id;
	}

	public String getName() {
		return name;
	}

	public List<Order> getOrders() {
		return orders;
	}

	public void setCustTag(String custTag) {
		this.custTag = custTag;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setId(int id) {
		this.id = id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setOrders(List<Order> orders) {
		this.orders = orders;
	}
}
